Bug 1238869 - Cannot perform IS [NOT] NULL search on non-string columns
Summary: Cannot perform IS [NOT] NULL search on non-string columns
Keywords:
Status: NEW
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan, Server
Version: 6.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 6.6.0
Assignee: Adrian Nistor
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On: 1256889
Blocks: 1232649
TreeView+ depends on / blocked
 
Reported: 2015-07-02 20:43 UTC by Van Halbert
Modified: 2020-10-20 21:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Issue Tracker ISPN-4046 Major Resolved New query dsl does not support isNull filters for non-string properties 2016-02-24 05:43:52 UTC

Comment 5 Van Halbert 2015-07-02 21:46:14 UTC
The following are 3 columns that were queried but didn't work:

- timeValue is Null

- booleanvalue Is Not Null

- intKey Is Not Null



The following is the 1 query that did work:

- stringNum Is Not Null

Comment 6 Adrian Nistor 2015-08-18 12:47:41 UTC
The indexing and querying is implemented via Hibernate Search which sits on top of Lucene. Lucene has no concept of null. Null is emulated by Hibernate Search by using a special (non-null) string marker value (the dreaded null token), but this only works for strings; for other types this fails silently. This limitation cannot be solved with Lucene 3.6 and 4. A better approach might be possible with 5.


Note You need to log in before you can comment on or make changes to this bug.